//
//  YSScoreStarControl.h
//  YSScoreStarControl
//
//  Created by yaoshuai on 2017/1/13.
//  Copyright © 2017年 ys. All rights reserved.
//

#import <UIKit/UIKit.h>

IB_DESIGNABLE
@interface YSScoreStarControl : UIControl

/**
 允许评分最大值(最多星星数)
 */
@property (nonatomic,assign) IBInspectable NSUInteger maximumValue;

/**
 允许评分最小值(最少星星数)
 */
@property (nonatomic,assign) IBInspectable NSUInteger minimumValue;

/**
 值
 */
@property (nonatomic,assign) IBInspectable CGFloat value;

/**
 星星之间的间距
 */
@property (nonatomic,assign) IBInspectable CGFloat spacing;

/**
 是否允许半个星星
 */
@property (nonatomic,assign) IBInspectable BOOL allowsHalfStars;

/**
 只否是只读(YES-显示评分，NO-进行评分)
 */
@property (nonatomic,assign) IBInspectable BOOL readOnly;

/**
 是否显示星星右边的分数
 */
@property (nonatomic,assign) IBInspectable BOOL showValue;

@end
