//
//  ViewController.m
//  YSScoreStarControl
//
//  Created by yaoshuai on 2017/1/13.
//  Copyright © 2017年 ys. All rights reserved.
//

#import "ViewController.h"
#import "YSScoreStarControl.h"

@interface ViewController ()

@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    
    YSScoreStarControl *starView = [[YSScoreStarControl alloc] initWithFrame:CGRectMake(100, 250, 150, 50)];
    starView.maximumValue = 5; // 允许评论的最多星星数
    starView.minimumValue = 1; // 允许评论的最少星星数
    starView.value = 1; // 值
    starView.spacing = 2; // 星星之间的间距
    starView.allowsHalfStars = NO; // 是否允许评论半个星星
    starView.readOnly = NO; // YES-显示评分；NO-进行评分
    starView.showValue = NO; // 是否显示星星右边的评分
    starView.tintColor = [UIColor orangeColor]; // 星星填充颜色
    [starView addTarget:self action:@selector(scoreValueChanged:) forControlEvents:UIControlEventValueChanged]; // 值改变事件
    [self.view addSubview:starView];
}

- (IBAction)scoreValueChanged:(YSScoreStarControl *)sender {
    NSLog(@"score = %.1f",sender.value);
}


@end
